Name:		multiget
Version:	1.2.0
Release:	%mkrel 7
Summary:	Easy-to-use GUI file downloader for Windows/Linux/BSDs/MacOs
Group:		Networking/File transfer
License:	GPLv2+
URL:		http://multiget.sourceforge.net/
Source0:	http://nchc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.src.tar.bz2
Patch0:		multiget-1.2-fix-gcc46.patch
Patch1:		multiget-1.2-fix-wx.patch
Patch2:		multiget-1.2-linking.patch
BuildRequires:	wxgtku-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(libglade-2.0)

%description
MultiGet is an easy-to-use GUI file downloader for Windows/Linux/
BSDs/MacOs.  It's programmed in C++ and has a GUI based on wxWidgets.
It supports HTTP/FTP protocols which covers the requirements of most
users. It supports multi-task with multi-thread on multi-server. It
supports resuming downloads if the Web server supports it, and if
you like, you can reconfig the thread number without stopping the
current task. It's also support SOCKS 4,4a,5 proxy, ftp proxy, http
proxy.

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/*.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Fix permissions to make rpmlint happy with debug package
chmod 644 src/*
chmod 644 icons/*
chmod 644 newicons/*/*.xpm
chmod 644 newicons/*.xcf

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%__mkdir_p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert newicons/16/logo_16.xpm %{buildroot}%{_miconsdir}/%{name}.png
convert newicons/32/logo_32.xpm %{buildroot}%{_iconsdir}/%{name}.png
convert newicons/48/logo_48.xpm %{buildroot}%{_liconsdir}/%{name}.png

%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Icon=%{name}
Exec=%{name}
Comment=Multiget is multi-thread download utility
Terminal=false
Type=Application
Categories=GTK;FileTransfer;Network;
StartupNotify=false
EOF

%__rm -fr %{buildroot}%{_prefix}/doc/%{name}

%clean
%__rm -rf %{buildroot}


%changelog
* Sun Jan 15 2012 Andrey Bondrov <abondrov@mandriva.org> 1.2.0-7mdv2012.0
+ Revision: 760920
- Add patch2 to fix linking and make rpmlint happy with debug package
- Update BuildRequires as libglade2 provides changed
- Rebuild against utf8 wxGTK2.8, update patches to fix build, spec cleanup

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 1.2.0-5mdv2009.0
+ Revision: 254738
- add gcc 4.3 patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-3mdv2008.1
+ Revision: 170991
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.2.0-2mdv2008.1
+ Revision: 106551
- fill up summary and description

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 106522
- rm docs
- BR libglade2-devel
- add missing BR
- BR intltool
- install icons and desktop file
- import multiget
- create multiget

